<div layout="row">
    <!-- start: view mode-->
    <div flex="70" class="single-block" style="background-color: {{$ctrl.block.backgroud_color}};" ng-if="$ctrl.editMode===false">
        <div ng-if="$ctrl.showLanguage==='cs'" ng-bind-html="$ctrl.block.content"></div>
        <div ng-if="$ctrl.showLanguage==='en'" ng-bind-html="$ctrl.block.content_en"></div>
    </div>
    <!-- start: edit mode-->
    <div ng-if="$ctrl.editMode===true" flex="100">
        <text-block content="$ctrl.editBlockContent" content-en="$ctrl.editBlockContentEnglish" background-color="$ctrl.editBlockColor"
            show-language="$ctrl.showLanguage"></text-block>
        <div layout="row">
            <div flex="none">
                <md-button class="md-raised md-primary" ng-click="$ctrl.saveBlock()" ng-disabled="$ctrl.editBlockContent.length === 0">Save</md-button>
                <md-button ng-click="$ctrl.cancelEdit($event)">cancel</md-button>
            </div>
            <div flex="auto"></div>
        </div>
    </div>
    <!-- end: edit mode-->
    <div flex="30" layout="column" ng-if="$ctrl.editMode===false">
        <div layout="row">
            <md-button class="md-fab md-mini" aria-label="Edit">
                <md-icon md-font-icon="material-icons" ng-click="$ctrl.editBlock()">mode_edit</md-icon>
            </md-button>
            <md-button class="md-fab md-mini" aria-label="Delete">
                <md-icon md-font-icon="material-icons" ng-click="$ctrl.deleteBlock($event)">delete</md-icon>
            </md-button>
            <md-button class="md-fab md-primary md-mini" aria-label="Move up" ng-if="!$ctrl.isFirst">
                <md-icon md-font-icon="material-icons" ng-click="$ctrl.moveUp()">arrow_upward</md-icon>
            </md-button>
            <md-button class="md-fab md-primary md-mini" aria-label="Move daown" ng-if="!$ctrl.isLast">
                <md-icon md-font-icon="material-icons" ng-click="$ctrl.moveDown()">arrow_downward</md-icon>
            </md-button>
        </div>
    </div>
</div>